package com.yueqian.xingyun.comp.service;

import com.lframework.starter.web.core.components.resp.PageResult;
import com.lframework.starter.web.core.service.BaseMpService;
import com.yueqian.xingyun.comp.entity.FileBox;
import com.yueqian.xingyun.comp.vo.sw.filebox.CreateFileBoxDirVo;
import com.yueqian.xingyun.comp.vo.sw.filebox.QueryFileBoxVo;
import com.yueqian.xingyun.comp.vo.sw.filebox.UpdateFileBoxVo;
import com.yueqian.xingyun.comp.vo.sw.filebox.UploadFileBoxVo;
import java.util.List;

/**
 * 文件收纳箱 Service
 */
public interface FileBoxService extends BaseMpService<FileBox> {

  /**
   * 查询列表
   *
   * @return
   */
  PageResult<FileBox> query(Integer pageIndex, Integer pageSize, QueryFileBoxVo vo);

  /**
   * 查询列表
   *
   * @param vo
   * @return
   */
  List<FileBox> query(QueryFileBoxVo vo);

  /**
   * 根据ID查询
   *
   * @param id
   * @return
   */
  FileBox findById(String id);

  /**
   * 修改
   *
   * @param vo
   */
  void update(UpdateFileBoxVo vo);


  /**
   * 根据ID删除
   * @param id
   */
  void deleteById(String id);

  /**
   * 创建文件夹
   * @param vo
   */
  void createDir(CreateFileBoxDirVo vo);

  /**
   * 上传文件
   * @param vo
   */
  void upload(UploadFileBoxVo vo);

}
